function [emptyCell] = getDefaultCombinationCell()
%GETDEFAULTCOMBINATIONVALUES Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

%% Initialize variables
referencePosition = '';

%% Get last known position
isNotNan = ~isnan(artoaWorkspace.satData.lat_sat) & ~isnan(artoaWorkspace.satData.lon_sat);
knownPositions = [artoaWorkspace.satData.lat_sat(isNotNan), artoaWorkspace.satData.lon_sat(isNotNan)];
if ~(size(knownPositions, 1) == 0)
    if artoaWorkspace.trackParameter.enableBackwardTracking
        referencePosition = [num2str(knownPositions(end, 1)) ' ' num2str(knownPositions(end, 2))];
    else
        referencePosition = [num2str(knownPositions(1, 1)) ' ' num2str(knownPositions(1, 2))];
    end
end

%% Set start and end date
if ~artoaWorkspace.trackParameter.enableBackwardTracking
    startDate = floor(min(artoaWorkspace.toaData.toaDate(artoaWorkspace.toaData.status ~= 2)));
    endDate = floor(max(artoaWorkspace.toaData.toaDate(artoaWorkspace.toaData.status ~= 2)));
else
    startDate = floor(max(artoaWorkspace.toaData.toaDate(artoaWorkspace.toaData.status ~= 2)));
    endDate = floor(min(artoaWorkspace.toaData.toaDate(artoaWorkspace.toaData.status ~= 2)));
end

%% Create default cell
emptyCell = { ...
    startDate, ...
    endDate, ...
    '', ...
    referencePosition, ...
    1464, ...
    1464, ...
    1464, ...
    '', ...
    false ...
};

end

