function [ boolean ] = has_no_iridium_but_gps( p_profile )
%HAS_NO_IRIDIUM_BUT_GPS Checks if profile has gps coordinates, but no iridium.
%
%   Returns: True if gps but no iridium coordinates are available.
%            Displays a warning if parameters are wrong, but returns false!
%
%   Parameters:
%   p_profile:          The nemo profile that is being checked.

%% Initializing return variables
boolean = false;

%% Parameter check

if (~isstruct(p_profile))
    disp([mfilename ': Wrong parameter. Please check your input. Returning false!']);
end

%% Check coordinates

boolean = ( ...
        isnan(p_profile.iridium_mean_lat) ...
        && isnan(p_profile.iridium_mean_lon) ...
        && ~isnan(p_profile.gps_lat) ...
        && ~isnan(p_profile.gps_lon) ...
        );

return;

end

