function [ sorted_nemo_data ] = sort_data_by_float_serial( p_nemo_data )
%SORT_DATA_BY_FLOAT_SERIAL Summary of this function goes here
%   Detailed explanation goes here

%% Initialize return variable
sorted_nemo_data = {};

%% Parameter check
if ~iscell(p_nemo_data)
    disp([mfilename ': Please check your input parameter!']);
    return;
end

%% Sort by float serial

float_serials = cellfun(@(x) x{1}.FLOAT_IDENTIFICATION.float_serial_number, p_nemo_data);

[~, indices] = sort(float_serials);
% create helping variable to check if the float is already sorted
sorted = [1:length(float_serials)];
if indices == sorted
    % indeed it is, so save work and just return the input one :)
    sorted_nemo_data = p_nemo_data;
    return
end

% sorting required
sorted_nemo_data = {};

% indices have already been taken so just run through them
for i = 1:length(p_nemo_data)
    sorted_nemo_data{i} = p_nemo_data{indices(i)};
end

end

